<?php
//@*--


class Theme_Designer_Model_Settings_Menu extends Varien_Object
{
    public function readOptions($themeName) {
        /** @var $helper Theme_Designer_Helper_Data */
        $helper = Mage::helper('designer');
        $this->setData('hmenu', $helper->getConfigValue("designer/settings/$themeName/hmenu", '0'));
        $this->setData('vmenu', $helper->getConfigValue("designer/settings/$themeName/vmenu", '1'));
    }

    public function saveOptions($themeName, $data) {
        if (isset($data['hmenu'])) {
            Mage::getConfig()->saveConfig("designer/settings/$themeName/hmenu", $data['hmenu']);
        }
        if (isset($data['vmenu'])) {
            Mage::getConfig()->saveConfig("designer/settings/$themeName/vmenu", $data['vmenu']);
        }
    }
}

//--*@